## com.sun.jersey.core.spi.factory
Class ResponseBuilderHeaders

    java.lang.Object
      com.sun.jersey.core.spi.factory.ResponseBuilderHeaders

    public final class ResponseBuilderHeaders

extends java.lang.Object

HTTP header constants for use with `ResponseBuilderImpl` and `ResponseImpl`.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static int` | `CACHE_CONTROL`
`static int` | `CONTENT_LANGUAGE`
`static int` | `CONTENT_LOCATION`
`static int` | `CONTENT_TYPE`
`static int` | `ETAG`
`static int` | `LAST_MODIFIED`
`static int` | `LOCATION`

Constructor Summary
`ResponseBuilderHeaders()`

Method Summary
`static java.lang.Integer` | `getIdFromName(java.lang.String name)`
`static java.lang.String` | `getNameFromId(int id)`
`static int` | `getSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_CONTROL

    public static final int CACHE_CONTROL

See Also:
  Constant Field Values

### CONTENT_LANGUAGE

    public static final int CONTENT_LANGUAGE

See Also:
  Constant Field Values

### CONTENT_LOCATION

    public static final int CONTENT_LOCATION

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final int CONTENT_TYPE

See Also:
  Constant Field Values

### ETAG

    public static final int ETAG

See Also:
  Constant Field Values

### LAST_MODIFIED

    public static final int LAST_MODIFIED

See Also:
  Constant Field Values

### LOCATION

    public static final int LOCATION

See Also:
  Constant Field Values

Constructor Detail

### ResponseBuilderHeaders

    public ResponseBuilderHeaders()

Method Detail

### getSize

    public static int getSize()

### getNameFromId

    public static java.lang.String getNameFromId(int id)

### getIdFromName

    public static java.lang.Integer getIdFromName(java.lang.String name)

Copyright © 2017 Oracle Corporation. All Rights Reserved.